CXX = clang++
VPNLIB_DIR = ../../lib/MAC/Intel
CXXFLAGS =  -mmacosx-version-min=10.9 -arch i386 -I../../include -D_NOEXPORTDLL -DCAPI_NO_EXPORTS -g
LIBS = -L${VPNLIB_DIR} -lvpnapi -lxml2 -lz -lvpncommoncrypt -lvpncommon ${VPNLIB_DIR}/libaccurl.a ${VPNLIB_DIR}/libacciscocrypto.a ${VPNLIB_DIR}/libacciscossl.a -lpthread
FRAMEWORKS=-framework SystemConfiguration -framework Security -framework CoreFoundation -framework CoreServices
LDFLAGS=-g

all: libvpncapi

#compile cpp files
%o:%.c
	@echo compiling $<
	${CXX} ${CXXFLAGS} ${LDFLAGS} -c $<

libvpncapi: PrivateApi.o vpncapi.o
	${CXX} ${LDFLAGS} ${CXXFLAGS} PrivateApi.o vpncapi.o -DPIC -shared -o libvpncapi.dylib -dynamiclib ${FRAMEWORKS} ${LIBS}

clean:
	rm -f *.dylib *.o
